--- /dev/null
+#!/bin/bash
+#
+# 2010 Razvan Deaconescu, razvan.deaconescu@cs.pub.ro
+#
+# Detect completed client
+# The script
+# * detects when a client stops
+#
+# Command line argument specifies client type
+
+# use _DEBUG="off" to turn off debug printing
+_DEBUG="on"
+
+if test $# -ne 2; then
+ echo "usage: $0 client-type log-file" 1>&2
+ exit 1
+fi
+
+# Read the global configuration variables
+source ../ConfigFiles/globalconfig.txt
+
+# Read client mappings configuration file
+source ../ConfigFiles/client_script_mappings
+
+client_type=$1
+log_file=$2
+
+detect_complete_client ${client_type} ${log_file}